extends Node3D

func _input(event):
	if event is InputEventKey:
		if event.is_action_pressed("texture_1"):
			$Blankets/Blanket_2.visible = false
			$Blankets/Blanket_3.visible = false
			$Blankets/Blanket_4.visible = false
			$Blankets/Blanket_1.visible = true
		if event.is_action_pressed("texture_2"):
			$Blankets/Blanket_1.visible = false
			$Blankets/Blanket_3.visible = false
			$Blankets/Blanket_4.visible = false
			$Blankets/Blanket_2.visible = true
		if event.is_action_pressed("texture_3"):
			$Blankets/Blanket_1.visible = false
			$Blankets/Blanket_2.visible = false
			$Blankets/Blanket_4.visible = false
			$Blankets/Blanket_3.visible = true
		if event.is_action_pressed("texture_4"):
			$Blankets/Blanket_1.visible = false
			$Blankets/Blanket_2.visible = false
			$Blankets/Blanket_3.visible = false
			$Blankets/Blanket_4.visible = true
